### Method

# GdkX11 X11Display get_egl_display

deprecated: 4.18 since: 4.4

#### Declaration [src]

    gpointer
    gdk_x11_display_get_egl_display (
      GdkDisplay* display
    )

#### Description [src]

Retrieves the EGL display connection object for the given GDK display.

This function returns `NULL` if GDK is using GLX.

Available since: 4.4

Deprecated since: 4.18

Please do not use it in newly written code.

#### Return value

Type: `gpointer`

The EGL display object.

The returned data is owned by the instance.
The return value can be `NULL`.